Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
Class ThreadBoundSetter

Sets the ThreadBound state of the property like a setter

author:
  Graeme Rocher

Field Summary
`String` | `name`
`String` | `name0`

Constructor Summary
`ThreadBoundSetter(String name)`

Method Summary
`CachedClass` | `getDeclaringClass()`
`String` | `getGetterName(String propertyName, Class type)`
`int` | `getModifiers()`
`String` | `getName()`
`Class` | `getReturnType()`
`String` | `getSetterName(String propertyName)`
`Object` | `invoke(Object object, def arguments)`

Constructor Detail

### ThreadBoundSetter

    public ThreadBoundSetter(String name)

Method Detail

### getDeclaringClass

    public CachedClass getDeclaringClass()

### getGetterName

    String getGetterName(String propertyName, Class type)

### getModifiers

    public int getModifiers()

### getName

    public String getName()

### getReturnType

    public Class getReturnType()

### getSetterName

    String getSetterName(String propertyName)

### invoke

    public Object invoke(Object object, def arguments)